@import "variables.less";

@background_archived: #0092bc;
@background_error: #eca924;
@background_inferno: #e53138;

.referentials {
    color: @ge-color-gray;

    > .referential {
        margin-bottom: 10px;
        padding: 6px;
        box-shadow : 3px 3px 5px rgba(0,0,0,.25);
        cursor: pointer;
    
        &.archived {
	        &.selected {
	            color: #FFFFFF;
	            background-color: @background_archived;
	    
	            > .description {
	                border-top: 1px solid #FFFFFF;
	            }
	        }
        }
    
        &.partners {
        	&.selected {
	            color: #FFFFFF;
	            background-color: @background_archived;
	    
	            > .description {
	                border-top: 1px solid #FFFFFF;
	            }
	        }
	    }
    
        &.error {
        	&.selected {
	            color: #FFFFFF;
	            background-color: @background_error;
	    
	            > .description {
	                border-top: 1px solid #FFFFFF;
	            }
	        }
	     }
    
        &.inferno {
            &.selected {
	            color: #FFFFFF;
	            background-color: @background_inferno;
	    
	            > .description {
	                border-top: 1px solid #FFFFFF;
	            }
	        }
		}
    
        > .title > .fa {
            width: 13px;
            text-align: center;
            margin-right: 6px;
            margin-left: 6px;
        }
    
        > .description {
            border-top: 1px solid @ge-color-gray;
            margin-top: 5px;
            padding-top: 5px;
        }
    }
}

